<?php

class Batch extends CI_Controller {
    function __construct() {
        parent::__construct();
        $this->load->model('manutencao_model', '', TRUE);
$this->load->helper(get_helpers_paginas());
    }

    function index() {
        $this->enviarWhatapp();
        // echo 'teste';
    }
    
public function enviarWhatapp(){
        $curl = curl_init();

        $apikey = "a6cc8d35-8b02-4e3f-87fb-3abd0fdeca35";
        $phone_number = "5561991053830";
        $contact_phone_number = "5561991053830";
        $message_custom_id = "mysoftwareid";
        $message_type = "text";
        $message_body = "
                        _Trabalhe duro em silêncio. Deixe que o sucesso faça barulho!_ %0D
                        *✅Gestão de vendas:* Mensagem enviada pelo sistema da Madereira Aroeira    %0D
                        *Resumo diario do sistema 😉* %0D 
                         %0D *Valor das vendas:* R$ 1.000,00
                         %0D *Qtde das vendas:* 80 
                        ";
                        

        curl_setopt_array($curl, array(
          CURLOPT_URL => "https://app.whatsgw.com.br/api/WhatsGw/Send",
          CURLOPT_RETURNTRANSFER => true,
          CURLOPT_ENCODING => "",
          CURLOPT_MAXREDIRS => 10,
          CURLOPT_TIMEOUT => 0,
          CURLOPT_FOLLOWLOCATION => true,
          CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
          CURLOPT_CUSTOMREQUEST => "POST",
          CURLOPT_POSTFIELDS => 
          "apikey=".$apikey.
          "&phone_number=".$phone_number.
          "&contact_phone_number=".$contact_phone_number.
          "&message_custom_id=".$message_custom_id.
          "&message_type=".$message_type.
          "&message_body=".$message_body,

          CURLOPT_HTTPHEADER => array(
            "Content-Type: application/x-www-form-urlencoded"
          ),
        ));

        $response = curl_exec($curl);
        
        curl_close($curl);
        echo $response;
        
    }

    public function testeEmail() {
//linha de comando da tarefa cron
//curl – s -o /dev/null http://parquedasarvoresvalp.com.br/site/servicos/servicosBatch/testeEmail
        $para = array('williamsilva.ribeiro@gmail.com');
        GerenciarEmail::enviarEmailComCopiaComAnexo($para, 'Teste', 'Teste Batch', null, null);




    }

    public function resumoFinanceiro() {
//curl – s -o /dev/null http://parquedasarvoresvalp.com.br/site/servicos/servicosBatch/resumoFinanceiro
        $this->load->helper(get_helpers_paginas());
        $para = Array(
            'pcalipio@ibest.com.br',
            'ilhabarbosa@hotmail.com',
            //'loura.vania@hotmail.com',
            //'m.j.silva.98@gmail.com',
            //'elianesilva@jrdordel.com.br',
            'cr1assistente@gmail.com',
            'joaopedro.vasco@gmail.com',
            'williamsilva.ribeiro@gmail.com');

        $this->data['lancamentos'] = $this->batch_model->financeiroMesAtual();
        $this->data['view'] = 'sistema/relatorios/imprimir/todosFinanceiros';
        $mensagem = $this->load->view(DadosPaginas::PG_TOPO_RELATORIO, $this->data, true);

        GerenciarEmail::enviarEmailComCopiaComAnexo($para, 'Resumo Financeiro Condomínio', $mensagem, null, null);
    }

    public function enviarSMSAniversariantes(){
        $aniversarios = $this->batch_model->aniversariantesDoDia();
        foreach($aniversarios as $niver){
            if(!empty($niver->nr_celular)){
                $mensagem = urlencode('COND. PARQUE DAS ARVORES: '.$niver->nm_morador.
                    ', O Sindico PARABENIZA pelo seu aniversario e lhe deseja muitas paz, saude e felicidades !');
                $nrDestino = preg_replace("/[^0-9]/","", $niver->nr_celular);
                GerenciarEmail::enviarSMS($nrDestino,$mensagem );
            }
        }
    }
}